<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_e632e86b0" . "2887f94d49" . "b7ed76a3eb" . "cdc" => base64_decode("VGVtcGxhdGUgbm" . "90IGZvdW5k"), "templa" . "te" => base64_decode("dGVtc" . "GxhdG" . "U="), "_7313d9106ea" . "da68fc893a6d" . "6733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdpdGggdGhlICoudHd" . "pZyBleHRlbnNpb24="), "_d155d43a39de93f85" . "8123c6b6ce31d8a" => base64_decode("cHJlZ19tYXRjaA=" . "="), "_523a40c86a0eb0d317646" . "ab2bbd40de8" => base64_decode("Tm8gdGVtcGxh" . "dGUgcmVxdWVz" . "dGVk"), "_69100b7c21efad30d73e5" . "c90a439a5ce" => base64_decode("Ly4q" . "XC50" . "d2ln" . "JC8="), "_2c83c05de" . "4fa1408a29" . "8026dfb8d9" . "4b9" => base64_decode("Y2ZnX2RldmV" . "sb3Blcl9tb2" . "Rl"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["tem" . "pla" . "te"]) ?: $parameters[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["templ" . "ate"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2c83c05de4fa1408a298026df" . "b8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d155d43a39" . "de93f858123" . "c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_69100b7" . "c21efad3" . "0d73e5c9" . "0a439a5c" . "e"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_523a40c86a0eb0d317646ab2" . "bbd40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7313d9106eada68fc893a6d" . "6733b58a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e632e86b02" . "887f94d49b7" . "ed76a3ebcdc"]);
        }
        return $template;
    }
}